{
    "description": "ObjectiveFS Volume Driver",
    "interface": {
        "socket": "objectivefs",
        "types": [
            "docker.volumedriver/1.0"
        ]
    },
    "entrypoint": ["/objectivefs-docker-volume", "-logfile", "/var/log/objectivefs-docker-volume.log"],
    "env": [
        {
            "description": "Log level",
            "name": "LOG_LEVEL",
            "value": "info",
            "settable": [
                "value"
            ]
        },
        {
            "name": "ACCESS_KEY",
            "value": "",
            "settable": [
                "value"
            ]
        },
        {
            "name": "SECRET_KEY",
            "value": "",
            "settable": [
                "value"
            ]
        },
        {
            "name": "OBJECTIVEFS_LICENSE",
            "value": "",
            "settable": [
                "value"
            ]
        },
        {
            "name": "OBJECTSTORE",
            "value": "",
            "settable": [
                "value"
            ]
        },
        {
            "name": "ENDPOINT",
            "value": "",
            "settable": [
                "value"
            ]
        },
        {
            "name": "CACHESIZE",
            "value": "",
            "settable": [
                "value"
            ]
        },
        {
            "name": "DISKCACHE_SIZE",
            "value": "",
            "settable": [
                "value"
            ]
        },
        {
            "name": "DISKCACHE_PATH",
            "value": "",
            "settable": [
                "value"
            ]
        },
        {
            "name": "OBJECTIVEFS_PASSPHRASE",
            "value": "",
            "settable": [
                "value"
            ]
        },
        {
            "name": "OBJECTIVEFS_MOUNT_OPTIONS",
            "value": "",
            "settable": [
                "value"
            ]
        },
        {
            "name": "IDMAP",
            "value": "",
            "settable": [
                "value"
            ]
        },
        {
            "name": "OBJECTIVEFS_MOUNT_SNAPSHOTS",
            "value": "no",
            "settable": [
                "value"
            ]
        }
    ],
    "network": {
        "type": "host"
    },
    "propagatedMount": "/var/lib/docker-volumes",
    "mounts": [
        {
          "name": "cache",
          "description": "Directory to use for disk cache optionally enabled using DISKCACHE_PATH",
          "destination": "/var/cache/objfs",
          "source": "/var/cache/objfs",
          "settable": [
            "source",
            "destination"
          ],
          "type": "none",
          "options": [
            "bind"
          ]
        }
    ],
    "linux": {
        "capabilities": [
            "CAP_SYS_ADMIN"
        ],
        "devices": [
            {
                "path": "/dev/fuse"
            }
        ]
    }
}
